[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / x11 / p5-gtk2

File: [cvs.NetBSD.org] / pkgsrc / x11 / p5-gtk2 / Makefile (download)

Revision 1.60, Mon Jan 27 04:28:23 2014 UTC (6 years, 1 month ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1
Changes since 1.59: +3 -4 lines

Update p5-gtk2 to 1.249.

Overview of changes in Gtk2 1.249
=================================

* Eliminate test failures by using unique temp directories during testing

Overview of changes in Gtk2 1.248
=================================

* Avoid misusing the macro PL_na, thus preventing issues when Gtk2 is used in
  conjunction with certain XS modules, among them XML::Parser and
  String::Approx.

Overview of changes in Gtk2 1.247
=================================

* Require Glib 1.280 for the fixes to custom signal marshalling.
* Fix a test failure in t/GtkRecentChooser.t.
* Created %meta_merge which follows v2 of CPAN Meta Spec
  - %meta_merge is used for generating metadata via
    ExtUtils::MakeMaker/CPAN::Meta

Overview of changes in Gtk2 1.246
=================================

* Improve the failure diagnostics of some tests

Overview of changes in Gtk2 1.245
=================================

* Fix two test failures.

Overview of changes in Gtk2 1.244
=================================

* Disable the correct potentially annoying test for GtkDnD.
* Tell CPAN to some ignore POD fragments

# $NetBSD: Makefile,v 1.60 2014/01/27 04:28:23 obache Exp $

DISTNAME=	Gtk2-1.249
PKGNAME=	${DISTNAME:C:Gtk2:p5-gtk2:}
CATEGORIES=	x11 perl5
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE:=gtk2-perl/}

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	http://gtk2-perl.sourceforge.net/
COMMENT=	Perl bindings for GTK+ 2.0
LICENSE=	gnu-lgpl-v2.1

MAKE_JOBS_SAFE=		no

DEPENDS+=	p5-ExtUtils-Depends>=0.300:../../devel/p5-ExtUtils-Depends
DEPENDS+=	p5-ExtUtils-PkgConfig>=1.03:../../devel/p5-ExtUtils-PkgConfig

USE_TOOLS+=	pkg-config

PERL5_PACKLIST=	auto/Gtk2/.packlist

BUILDLINK_API_DEPENDS.p5-glib2+=	p5-glib2>=1.280
BUILDLINK_API_DEPENDS.p5-cairo+=	p5-cairo>=1.000
BUILDLINK_API_DEPENDS.p5-pango+=	p5-pango>=1.220

.include "../../devel/p5-glib2/buildlink3.mk"
.include "../../graphics/p5-cairo/buildlink3.mk"
.include "../../devel/p5-pango/buildlink3.mk"
.include "../../lang/perl5/module.mk"
.include "../../x11/gtk2/buildlink3.mk"
.include "../../mk/bsd.pkg.mk"